//
// Created by nicolas on 22/03/18.
//

#ifndef ESC_ERROR_H
#define ESC_ERROR_H

#define ERROR_MSG_SIZE 1024
struct st_error {
    const char* file;
    int line;
    int code;
    char message[ERROR_MSG_SIZE];
};
typedef struct st_error error_t;

error_t* _error_create(const char* file, int line, int code, char* format, ...);
#define error_create(code, fmt, args...) _error_create(__FILE__, __LINE__, code, fmt, args)
error_t* error_copy(error_t* error);

#endif //ESC_ERROR_H
